Bug 138321 - 2 * missing return stmts
2 * missing return stmts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Xaw3d (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 03:39 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 10:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-08 03:39:59 EST
Description of problem:

I just tried to compile package Xaw3d-1.5-23 from 
Redhat Fedora Core 3 Test 3.

The compiler said

1.

laylex.l(93): remark #1011: missing return statement at end of
non-void function "LayYYsetsource"

The source code is

yysetsource(s)
    char    *s;
{
    yysourcebase = yysource = s;
}

Suggest change return type to void.

2.

laylex.l(114): remark #1011: missing return statement at end of
non-void function "LayYYerror"

The source code is

yyerror(s)
    char    *s;
{

Suggest change return type to void.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2004-11-30 10:28:38 EST
it's now fixed in Xaw3d-1.5E-2. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.